
# The docker image where to run the "scripts"
image:
  name: registry.gitlab.com/gitlab-org/gitlab-build-images:terraform
  entrypoint: [""]

# What steps/stages there are for this CI/CD pipeline
stages:
  - plan
  - apply

# The plan stage will run first and run the commands below
Run Terraform validate and plan:
  stage: plan
  script:
    - terraform init
    - terraform validate
    - terraform plan -input=false

# Separate apply job for manual launching Terraform
Run Terraform apply:
  stage: apply
  script:
    - terraform init
    - terraform apply -input=false -auto-approve
  dependencies:
    - "Run Terraform validate and plan"
  
  only:
    - master
